# Opening data files (and how to use Variables Pane)

### 1. Opening data files.
You can load and display the meteorological data from GRIB/GRIB2/NETCDF files saved in the your computer.

To open a file or a directory containing multiple files:

1.  In **Menu Bar**, choose *Home* menu category. 
1.  In *Open Data* panel, click *Open File* or *Open Directory*, respectively.
1.  In the *Open* dialog box, navigate to the file or the folder that you want to open, and then  click *Open* button.

### 2. Using *Variables Pane* to manage variables.

The **Variables Pane** consists of two components: control bar and display area. After opening data files, the **Variables Pane** displays a hierarchical tree structure (*File Name* -> *Category Name* or *Vertical Coordinate System* -> *Variable Name*) of the variables in your data. 

![](img/3-2-2-variables-pane.png)

By default, the variables are grouped by category and displayed with ID. You can customize the options to display variables as follows:

##### Click buttons on the control bar

*  You can group variables by clicking *Grouping* button.

   ![](img/3-2-2-variables-grouping.png)

*  You can display name or ID of variables by clicking *Text* button.

![](img/3-2-2-variables-text.png)

*  You can filter variables by clicking *Filtering* button .

![](img/3-2-2-variables-filtering.png)

*  You can click the *Arrange By Name* button to arrange variables by their name (with *A to Z* order).

![](img/3-2-2-variables-arrange.png)

* If you want to close a data file, select that data file by click the file name on variable list, then click the *Close Dataset* button, then click *OK* button on the dialog box.

![](img/3-2-2-variables-close.png)

##### Speed up by right-click

To customize options for displaying variables in a data file, select the file name and right-click, then select the options.

![](img/3-2-2-variables-right-click.png)


 
<br><br>

| [Previous Page](3-1-ui-components) | [Home (Table of Contents)](home) | [Next Page](3-3-open-layer) |
| :------- | :----------------------: | ---: |
