# Controlling perspective (and how to use Rendering Pane)

![](img/3-4-rendering-pane.png)

After adding a new layer or selecting a layer from the list, **Rendering Pane** displays the meteorological data in the 3D-image and contains some options for controlling perspective.

You can control the display options in **Rendering Pane** as follows.

### Changing the display mode

In the **Rendering Pane**, the *polar coordinates* is set by default. You can change the display mode from the *polar coordinates* (globe) mode to the *Cartesian coordinates* (map box), or versus, as follows.
  1.  In **Menu Bar**, choose *Home* menu category.
  1.  In *Map* panel, click the upper part of the *Globe* button to change the display mode.

      ![](img/3-4-display-mode.png)


### Showing/Hiding Legend and Color Bar

The *Legend* shows a brief explanation and the colormap of the selected layers.
The *Color Bar* shows the variable names and units of the selected variable.

*  You can show or hide the *Legend* and the *Color Bar* as follows.
      1.  In **Menu Bar**, choose *Home* menu category.
      1.  In *Map* panel, you can 
          *  click the upper part of the *Legend* button to show or hide the *Legend*; or
          *  click the lower part of the *Legend* button to show or hide the *Color Bar*.

             ![](img/3-4-show-hide-legend.png)

*  You can also show/hide the *Legend* by double-clicking the *Legend*.



### Setting color map and limit range

*  You can edit the color map and limit range of the current layer as follows:
      1.  Double-click the *Color Bar* or the *Limit Range*.
      1.  In the *Setup Colormap and Limit Range* dialog box, you can customize the options for the layer, and click *OK* button.

          ![](img/3-4-layer-option.png)
          *  In the *Colormap Range and Levels* panel, you can set options for the layer's colormap.
          *  In the *Limit Range to Display* panel, you can set the display range of the layer.
          *  In the *Contour Levels* panel, you can set options for creating isopleths (contour lines) to display Horizontal Plane/Vertical Cross-Section type layers. 
          *  In the *Emphasis Level* panel, you can set the display options to highlight certain lines from the isopleth data to be displayed on the Horizontal Plane/Vertical Cross-Section layer.
  
      Note that the options in the *Contour Levels* panel and the *Emphasis Level* panel are applied only if the selected layer is a scalar (Horizontal Plane/Vertical Cross-Section) layer.

* The alternative way to edit the options for the current layer is as follows:
      1.  In **Menu Bar**, choose *Home* menu category.
      1.  In *Layer Setup* panel, you can 
          *  click the upper part of the *Layer Option* button to see the *Setup Colormap and Limit Range* dialog box; or
          *  click the lower part of the *Layer Option* button to select the detail setup options.

             ![](img/3-4-layer-option-detail.png)



### Zooming in/out

*  Scroll up or down to zoom in to or zoom out from the display area of the **Rendering Pane**. For finer adjustments, scroll up or down while pressing the *Ctrl* key. 

*  You can set the zoom (in/out) level and viewpoint of the *3D - Image* to the default values by  
      1.  In **Menu Bar**, choose *Home* menu category.
      1.  In *Map* panel, click the *Zoom Fit* button.

          ![](img/3-4-zoom-fit.png)


### Rotation

*  If the coordinate system is in polar coordinates (globe), hold the left mouse button and drag the globe to rotate the map area. 

*  If the coordinate system is in Cartesian coordinates (map box), hold the left mouse button and drag the box to rotate the map area. 


### Right-click

You can right-click the *Legend* or the *Limit Range* to speed up the setting options for the layer.

![](img/3-4-right-click.png)

<br><br>

| [Previous Page](3-3-open-layer) | [Home (Table of Contents)](home) | [Next Page](3-5-control-boundary) |
| :------- | :----------------------: | ---: |
