# Viewing 3D iso-level surface for jet stream

> NOTE: This guide can also be applied to the visualization of any 3D iso-level surface of any variable.

![](img/4-5-isosurface.png)

> NOTE:  
> In order to visualize wind speed, you need both u and v components of wind vectors in your dataset.  
> For the terms & names of UI components, refer to _[UI Components](3-1-ui-components)_.

##### 1. Open data file.

Open your data file(s), using _Open Data_ buttons on the _Home_ menu category of _Menu Bar_.

##### 2. Load the wind speed data and show it on a layer.

In order to visualize the distribution of wind speed, you can either

* click the _Add 3D Isosurface_ button on _Layer_ menu category, select options, and then click "OK", or 
* find '_wind speed_' in _Derived Variables_ on _Variables Pane_, right-click it and select _'Add 3D Isosurface'_. 

_Rendering Pane_ will immediately display the vector field of wind, and a new layer will be added to the _Layers Pane_. 

##### 3. Change the settings for color mapping (optional).

Double click the vertical _Color Bar_ on the right-hand side of _Rendering Pane_. A popup dialog named _'Setup Colormap and Limit Range'_ will show up, where you can change various options regarding the color mapping.

##### 4. Change the visualization style - isosurface vs. volume vs. slices (optional).

On _3D Isosurface_ menu category of _Menu Bar_, you can select one of the following visualization styles:

* 3D Isosurface : show distribution using iso-level surfaces in 3D
* 3D Volume : show distribution using 3D volumetric rendering
* 3D Slices : show distribution using horizontal and vertical slices

Each menu button has drop-down submenu, where you can set various options for each visualization style. 

##### 5. Control slice positions (in _3D Slices_ visualization style only).

In _3D Slices_ visualization style, you have three slices -zonal/meridonal/horizontal slices- , and you can change the location of the slices along latitude/longitude/height respectively. An example is shown in the figure below. To do this, you do:
 1. Click the _Globe_ button to change from _Globe_ to _Map_ mode (since it's more convenient to control), 
 2. Double-click one of the corners of the slices, in order to reveal the handles of the slice, 
 3. Drag the handle of the slice along the coordinate axes,
 4. You may want to go back to _Globe_ mode. (_Globe_ button is at the bottom-right corner of the screen)

![](img/4-6-1-volume-slices.png)

<br><br>

| [Previous Page](4-4-vertical-vector-field) | [Home (Table of Contents)](home) | [Next Page](4-6-time-series-data) |
| :------- | :----------------------: | ---: |
